Bug 1984365 - Dashboard Prometheus/Overview can't filter instance by job
Summary: Dashboard Prometheus/Overview can't filter instance by job
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Philip Gough
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-21 10:31 UTC by hongyan li
Modified: 2021-10-18 17:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:40:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
prometheus overview screenshot (214.73 KB, image/png)
2021-07-21 10:31 UTC, hongyan li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1324 0 None None None 2021-08-17 14:44:56 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:40:43 UTC

Description hongyan li 2021-07-21 10:31:51 UTC
Created attachment 1804049 [details]
prometheus overview screenshot

Description of problem:
Dashboard Prometheus/Overview can't filter instance by job

Version-Release number of selected component (if applicable):
4.9-Premerge

How reproducible:
always

Steps to Reproduce:
1.Open Observe-Dashboards
2.Select Dashboard Prometheus/Overview 
3. Select a job, all instances display from drop&down box

Actual results:
Select a job, all instances display from drop&down box

Expected results:
Select a job, the corresponding instances display from drop&down box

Additional info:

Comment 2 Andrew Pickering 2021-07-28 03:46:38 UTC
This is not a Console issue, but rather an issue with the dashboard definition. We see the same behavior in Grafana.

The query that generates the Instance options is `label_values(prometheus_build_info, instance)`, so it is not filtering by job. Not sure if it should be?

Comment 4 hongyan li 2021-08-23 02:00:19 UTC
Test with 4.9.0-0.nightly-2021-08-22-070405 
Dashboard Prometheus/Overview can filter instance by job now

Comment 11 errata-xmlrpc 2021-10-18 17:40:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.